namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "belch")]
public class Belch : Script, IScriptPreventMoveSelection
{
    /// <inheritdoc />
    public void PreventMoveSelection(IMoveChoice choice, ref bool prevent)
    {
        var battleData = choice.User.BattleData;
        if (battleData == null)
            return;

        if (battleData.ConsumedItems.All(x => x.Category != ItemCategory.Berry))
            prevent = true;
    }
}